/*
 * Copyright (c) 2001 Pixware. 
 *
 * Author: Hussein Shafie
 *
 * This file is part of the XMLmind XML Editor project.
 * For conditions of distribution and use, see the accompanying legal.txt file.
 */
package com.xmlmind.attedit;

import com.xmlmind.xmledit.model.AttributeDefinitionModel;

public class Attribute {
    public String name = null;
    public String value = null;              // null if has no specified value.
    public AttributeDefinitionModel definition = null;   // null if undeclared.

    public String toString() {
	return ((name == null)? "" : 
		((value == null)? name : (name + "=\"" + value + '\"')));
    }
}
    
