/*
 * Copyright (c) 2000-2001 Pixware. 
 *
 * Author: Hussein Shafie
 *
 * This file is part of the XMLmind XML Editor project.
 * For conditions of distribution and use, see the accompanying legal.txt file.
 */
package com.xmlmind.gadget;

import java.awt.Rectangle;
import java.awt.event.ActionListener;

public interface GadgetHost {
    RootGadget getRoot();

    void gadgetAdded(Gadget gadget);
    void gadgetRemoved(Gadget gadget);

    void revalidate();

    void getVisibleRectangle(Rectangle visibleRect);
    void makeRectangleVisible(int x, int y, int width, int height);

    void showMenu(MenuSpec menu, int x, int y, ActionListener handler);
}
