/*
 * Copyright (c) 2000-2001 Pixware. 
 *
 * Author: Hussein Shafie
 *
 * This file is part of the XMLmind XML Editor project.
 * For conditions of distribution and use, see the accompanying legal.txt file.
 */
package com.xmlmind.gadget;

public class MenuItemSpec {
    public String label;
    public String command;
    public boolean enabled;

    public MenuItemSpec() {
	// A separator.
	this(null, null, false);
    }

    public MenuItemSpec(String label, String command) {
	this(label, command, true);
    }

    public MenuItemSpec(String label, String command, boolean enabled) {
	this.label = label;
	this.command = command;
	this.enabled = enabled;
    }
}
