/*
 * Copyright (c) 2001 Pixware. 
 *
 * Author: Hussein Shafie
 *
 * This file is part of the XMLmind XML Editor project.
 * For conditions of distribution and use, see the accompanying legal.txt file.
 */
package com.xmlmind.gadget;

import java.awt.print.PrinterException;

public class PrintCanceledException extends PrinterException {
    private GadgetPrinter printer;

    public PrintCanceledException(GadgetPrinter printer) {
	this.printer = printer;
    }
    
    public GadgetPrinter getGadgetPrinter() {
	return printer;
    }
}
