/*
 * Copyright (c) 2000-2001 Pixware. 
 *
 * Author: Hussein Shafie
 *
 * This file is part of the XMLmind XML Editor project.
 * For conditions of distribution and use, see the accompanying legal.txt file.
 */
package com.xmlmind.xmledit;

import java.awt.Graphics;

public interface TextViewPart extends SubelementViewPart {
    TextView getTextView();

    int gadgetToModel(int x, int y);
    int modelToGadget(int offset, int length, RectangleList rectangles);

    void paintText(Graphics g);
}
