/*
 * Copyright (c) 2000-2001 Pixware. 
 *
 * Author: Hussein Shafie
 *
 * This file is part of the XMLmind XML Editor project.
 * For conditions of distribution and use, see the accompanying legal.txt file.
 */
package com.xmlmind.xmledit.model;

public interface DocumentListener {
    void textChanged(TextEvent event, int listenerIndex);
    void elementAttributeChanged(ElementAttributeEvent event, 
				 int listenerIndex);
    void elementStructureChanged(ElementStructureEvent event, 
				 int listenerIndex);

    void batchEditingStarted(BatchEditingEvent event, int listenerIndex);
    void batchEditingCompleted(BatchEditingEvent event, int listenerIndex);

    void documentEventHappened(DocumentEvent event, int listenerIndex);
}
