/*
 * Copyright (c) 2000-2001 Pixware. 
 *
 * Author: Hussein Shafie
 *
 * This file is part of the XMLmind XML Editor project.
 * For conditions of distribution and use, see the accompanying legal.txt file.
 */
package com.xmlmind.xmledit.model;

public interface ElementContentModel {
    public static final int NONE     = 0;
    public static final int CHOICE   = 1;
    public static final int SEQUENCE = 2;

    int getListType();
    ElementContentModel[] getList();
    ElementTypeModel getElementType();
    int getMinOccurences();
    int getMaxOccurences();
}
