/*
 * Copyright (c) 2000-2001 Pixware. 
 *
 * Author: Hussein Shafie
 *
 * This file is part of the XMLmind XML Editor project.
 * For conditions of distribution and use, see the accompanying legal.txt file.
 */
package com.xmlmind.xmledit.model;

public interface SubelementModel {
    static final int TEXT    = 0;
    static final int ELEMENT = 1;

    int getSubelementType();
    DocumentModel getDocument();
    ElementModel getParentElement();
    SubelementModel getPreviousSubelement();
    SubelementModel getNextSubelement();

    void setDocumentListenerData(int listenerIndex, Object data);
    Object getDocumentListenerData(int listenerIndex);
    int documentListenerIndex(Object data);
}

