/*
 * Copyright (c) 2000-2001 Pixware. 
 *
 * Author: Hussein Shafie
 *
 * This file is part of the XMLmind XML Editor project.
 * For conditions of distribution and use, see the accompanying legal.txt file.
 */
package com.xmlmind.xmledit.model;

public interface TextEdit extends TextAccess {
    void setText(String text);
    void insertText(int offset, String text);
    void appendText(String text);
    void deleteText(int offset, int count);
    void replaceText(int offset, int count, String text);
}

