/*
 * Copyright (c) 2000-2001 Pixware. 
 *
 * Author: Hussein Shafie
 *
 * This file is part of the XMLmind XML Editor project.
 * For conditions of distribution and use, see the accompanying legal.txt file.
 */
package com.xmlmind.xmledit.modeltool;

import com.xmlmind.xmledit.model.TextModel;

public class TextRange {
    public TextModel text;
    public int offset;
    public int count;

    public TextRange() {}

    public TextRange(TextModel text, int offset, int count) {
	this.text = text;
	this.offset = offset;
	this.count = count;
    }
}
