/*
 * Copyright (c) 2001 Pixware. 
 *
 * Author: Hussein Shafie
 *
 * This file is part of the XMLmind XML Editor project.
 * For conditions of distribution and use, see the accompanying legal.txt file.
 */
package com.xmlmind.xmledit.styledview;

import com.xmlmind.gadget.RootGadget;
import com.xmlmind.xmledit.JDocumentPane;

public class JStyledDocumentPane extends JDocumentPane {
    protected RootGadget createRootGadget() {
	return new StyledDocumentView(this);
    }

    public StyledViewFactory getStyledViewFactory() {
	return (StyledViewFactory) getViewFactory();
    }
}
