/*
 * Copyright (c) 2001 Pixware. 
 *
 * Author: Hussein Shafie
 *
 * This file is part of the XMLmind XML Editor project.
 * For conditions of distribution and use, see the accompanying legal.txt file.
 */
package com.xmlmind.xmledit.styledview;

import java.awt.Container;
import com.xmlmind.xmledit.DocumentView;
import com.xmlmind.xmledit.ViewFactory;

public class StyledDocumentView extends DocumentView {
    public StyledDocumentView(Container panel) {
	super(panel);
    }

    protected ViewFactory createViewFactory() {
	return new StyledViewFactory(this);
    }
}
