/*
 * Copyright (c) 2001 Pixware. 
 *
 * Author: Hussein Shafie
 *
 * This file is part of the XMLmind XML Editor project.
 * For conditions of distribution and use, see the accompanying legal.txt file.
 */
package com.xmlmind.xmledit.styledview;

import com.xmlmind.xmledit.ElementViewPart;
import com.xmlmind.xmledit.styledgadget.Style;
import com.xmlmind.xmledit.styledgadget.Styled;

public interface StyledElementViewPart extends ElementViewPart, Styled {
    public static final int ROLE_STANDARD_VIEW = 1;
    public static final int ROLE_START_LABEL   = 2;
    public static final int ROLE_CUSTOM_VIEW   = 3;
    public static final int ROLE_END_LABEL     = 4;

    StyledElementView getStyledElementView();

    int getRole();

    void setStyle(Style style);
}
