/*
 * Copyright (c) 2001 Pixware. 
 *
 * Author: Hussein Shafie
 *
 * This file is part of the XMLmind XML Editor project.
 * For conditions of distribution and use, see the accompanying legal.txt file.
 */
package com.xmlmind.xmleditapp;

import com.xmlmind.xmledit.model.ElementModel;
import com.xmlmind.xmledit.modeltool.TextOffset;
import com.xmlmind.xmledit.modeltool.ElementCharSequence;

public class CheckableCharSequence extends ElementCharSequence 
                                   implements azcheck.util.CharSequence {
    public CheckableCharSequence(ElementModel element,
				 TextOffset begin, TextOffset end, 
				 String emptyTextContent,
				 int markParagraphs, String paragraphMark) {
	super(element, begin, end, 
	      emptyTextContent, markParagraphs, paragraphMark);
    }
}



