/*
 * Copyright (c) 2000-2001 Pixware. 
 *
 * Author: Hussein Shafie
 *
 * This file is part of the XMLmind XML Editor project.
 * For conditions of distribution and use, see the accompanying legal.txt file.
 */
package com.xmlmind.cssparser;

public class SelectorComponent {
    public static final char NONE = 0;

    public char combinator = NONE;    // '+' | '>' | NONE
    public String elementName = null; // Absent converted to "*".
    public AttributeSelector[] attributeSelectors = null;
    public String[] pseudos = null;   // ":LANG( FR )" converted to "lang(fr)".
}
