/*
 * Copyright (c) 2000-2001 Pixware. 
 *
 * Author: Hussein Shafie
 *
 * This file is part of the XMLmind XML Editor project.
 * For conditions of distribution and use, see the accompanying legal.txt file.
 */
package com.xmlmind.gadget;

public class MenuSpec extends MenuItemSpec {
    public MenuItemSpec[] items; 

    public MenuSpec(String label, MenuItemSpec[] items) {
	this(label, items, true);
    }

    public MenuSpec(String label, MenuItemSpec[] items, boolean enabled) {
	super(label, null, enabled);
	this.items = items;
    }
}
