/*
 * Copyright (c) 2001 Pixware. 
 *
 * Author: Hussein Shafie
 *
 * This file is part of the XMLmind XML Editor project.
 * For conditions of distribution and use, see the accompanying legal.txt file.
 */
package com.xmlmind.namere;

public final class AllParticle extends Particle {
    private Particle[] particles;

    public AllParticle(Particle[] particles, int minOccurs, int maxOccurs) {
	super(minOccurs, maxOccurs);
	this.particles = particles;
    }

    public int getType() {
	return ALL;
    }

    public Particle[] getParticles() {
	return particles;
    }
}
