/*
 * Copyright (c) 2001 Pixware. 
 *
 * Author: Hussein Shafie
 *
 * This file is part of the XMLmind XML Editor project.
 * For conditions of distribution and use, see the accompanying legal.txt file.
 */
package com.xmlmind.namere;

public final class ElementParticle extends Particle {
    private String elementName;

    public ElementParticle(String elementName, int minOccurs, int maxOccurs) {
	super(minOccurs, maxOccurs);
	this.elementName = elementName.intern();
    }

    public int getType() {
	return ELEMENT;
    }

    public String getElementName() {
	return elementName;
    }
}
