/*
 * Copyright (c) 2001 Pixware. 
 *
 * Author: Hussein Shafie
 *
 * This file is part of the XMLmind XML Editor project.
 * For conditions of distribution and use, see the accompanying legal.txt file.
 */
package com.xmlmind.structformat;

/**
 * Thrown when one of the parameters passed to {@link
 * StructuredFormat#setParameters setParameters} is unknown or has an invalid
 * value.
 */
public class ParameterUsageException extends Exception {
    /**
     * Constructs an exception with the mandatory detail message.
     */
    public ParameterUsageException(String message) {
	super(message);
    }
}
