/*
 * Copyright (c) 2000-2001 Pixware. 
 *
 * Author: Hussein Shafie
 *
 * This file is part of the XMLmind XML Editor project.
 * For conditions of distribution and use, see the accompanying legal.txt file.
 */
package com.xmlmind.xmledit;

import com.xmlmind.gadget.Gadget;
import com.xmlmind.xmledit.model.ElementModel;

public interface ElementView extends SubelementView {
    ElementModel getElement();

    /**
     * Returns the Gadget that is to be refreshed (if any).
     */
    Gadget addChildViewGadgets(SubelementView childView, int viewIndex);
    Gadget removeChildViewGadgets(SubelementView childView, int viewIndex);
}
