/*
 * Copyright (c) 2000-2001 Pixware. 
 *
 * Author: Hussein Shafie
 *
 * This file is part of the XMLmind XML Editor project.
 * For conditions of distribution and use, see the accompanying legal.txt file.
 */
package com.xmlmind.xmledit;

import com.xmlmind.xmledit.model.TextModel;

public interface TextView extends SubelementView {
    TextModel getText();

    boolean acceptsControlChar(char c);

    void charInserted(char c, int offset);
    void charDeleted(char c, int offset);
}
