/*
 * Copyright (c) 2000-2001 Pixware. 
 *
 * Author: Hussein Shafie
 *
 * This file is part of the XMLmind XML Editor project.
 * For conditions of distribution and use, see the accompanying legal.txt file.
 */
package com.xmlmind.xmledit.modelimpl;

import com.xmlmind.xmledit.model.NotationModel;

public class Notation implements NotationModel {
    private String name;
    private String publicId;
    private String systemId;
    private String url;

    public Notation(String name, String publicId, String systemId, 
		    String url) {
	this.name = name;
	this.publicId = publicId;
	this.systemId = systemId;
	this.url = url;
    }

    public String getNotationName() {
	return name;
    }

    public String getNotationPublicId() {
	return publicId;
    }

    public String getNotationSystemId() {
	return systemId;
    }

    public String getNotationURL() {
	return url;
    }
}
