/*
 * Copyright (c) 2000-2001 Pixware. 
 *
 * Author: Hussein Shafie
 *
 * This file is part of the XMLmind XML Editor project.
 * For conditions of distribution and use, see the accompanying legal.txt file.
 */
package com.xmlmind.xmledit.modeltool;

import com.xmlmind.xmledit.model.ElementModel;

public abstract class ElementCheckerDiagnostic {
    public int invalidReason;
    public ElementModel invalidElement;
    public String message;

    protected ElementCheckerDiagnostic(int invalidReason, 
				       ElementModel invalidElement,
				       String message) {
	this.invalidReason = invalidReason;
	this.invalidElement = invalidElement;
	this.message = message;
    }
}

