/*
 * Copyright (c) 2001 Pixware. 
 *
 * Author: Hussein Shafie
 *
 * This file is part of the XMLmind XML Editor project.
 * For conditions of distribution and use, see the accompanying legal.txt file.
 */
package com.xmlmind.xmledit.styledview;

import com.xmlmind.xmledit.ElementView;
import com.xmlmind.xmledit.model.ElementModel;
import com.xmlmind.xmledit.styledgadget.Styled;
import com.xmlmind.xmledit.styledgadget.Style;

public interface StyledElementView extends ElementView, Styled {
    void initView(ViewParameters param,
		  ViewParameters paramBefore,
		  Style styleBefore,
		  ViewParameters paramAfter,
		  Style styleAfter,
		  StyledViewFactory viewFactory);

    boolean isCustomView();
    boolean isInlineView();
}
