/*
 * Copyright (c) 2000-2001 Pixware. 
 *
 * Author: Hussein Shafie
 *
 * This file is part of the XMLmind XML Editor project.
 * For conditions of distribution and use, see the accompanying legal.txt file.
 */
package com.xmlmind.xmledit.stylesheet;

public class Rule {
    private int id;
    private Selector selector;
    private StyleSpec spec;

    public Rule(int id, Selector selector, StyleSpec spec) {
	this.id = id;
	this.selector = selector;
	this.spec = spec;
    }

    public int getId() {
	return id;
    }

    public Selector getSelector() {
	return selector;
    }

    public StyleSpec getStyleSpec() {
	return spec;
    }
}


