#!/bin/sh
#
# Next line is both a Tcl comment and a shell command \
exec tclsh "$0" "$@"

set count 0

while {![eof stdin]} {
    gets stdin line

    if {[regsub -- {(^[ \t]*public static final int[^=]*=)([^;]+)(;.*$)} \
	    $line "\\1 $count\\3" line2]} {
	puts $line2
	incr count
    } else {
	puts $line
    }
}