/*
 * Copyright (c) 2001 Pixware. 
 *
 * Author: Hussein Shafie
 *
 * This file is part of the Pixware Java utilities.
 * For conditions of distribution and use, see the accompanying legal.txt file.
 */
package fr.pixware.util;

/**
 * Thrown when the pattern being compiled has syntax errors.
 * 
 * @see REFactory
 */
public class RESyntaxException extends WrappedException {
    /**
     * Constructs an exception with a reference to the exception originally
     * thrown by the underlying regular expression engine.
     */
    public RESyntaxException(Exception e) {
	super(e);
    }
}
